# ManageEngine DC Cloud

## Connection Requirements

{% stepper %}
{% step %}

### ManageEngine Domain

Domain of the ManageEngine Cloud host.\
Ex: endpointcentral.manageengine.com
{% endstep %}

{% step %}

### Zoho Domain

Domain of the Zoho Account.\
Ex: accounts.zoho.com
{% endstep %}

{% step %}

### Client ID and Client Secret

* Register your application as a new client by accessing the developer console.
* Choose "Client Type" that suits your application type.
* After choosing the client type, provide the required details and click 'Create'.
* On successful registration, you will be provided with a set of OAuth 2.0 credentials such as "Client\_ID" and "Client\_Secret" that will be only known to Zoho and your application. (Do not share these credentials anywhere)
  {% endstep %}

{% step %}

### Refresh Token

* First Step: Generate Grant Token
  * First you need to generate grant token. After registration, click "Self Client" method available on the Applications list.
  * Enter the "Scopes": DesktopCentralCloud.Common.READ, DesktopCentralCloud.SOM.READ, DesktopCentralCloud.Inventory.READ,
  * Choose time duration, you need to do the next step in this time duration.
  * Click Create to Generate. Then copy the grant token.
* After generating the Authorization code, a POST request needs to be made to generate the refresh token and access token.
* Using the Grant Token created in Step 1, send a cURL request:

{% code title="Generate refresh token and access token (cURL)" %}

```bash
curl -X POST "https://accounts.zoho.com/oauth/v2/token" \ 
-d "code=YOUR_GRANT_TOKEN" \ 
-d "client_id=YOUR_CLIENT_ID" \ 
-d "client_secret=YOUR_CLIENT_SECRET" \ 
-d "grant_type=authorization_code"
```

{% endcode %}

* Parameters:
  * code\* - Authorization code obtained during grant token generation (Step 1)
  * client\_id\* - Obtained during Client Registration
  * client\_secret\* - Obtained during Client Registration
  * grant\_type\* - authorization\_code (provide this literal string as value)
  * scope - (Optional) Scope for which the token to be generated. Multiple scopes can be separated by commas. Example: DesktopCentralCloud.Common.READ, DesktopCentralCloud.Inventory.READ
    {% endstep %}

{% step %}

### Fetch Softwares

Choose if you'd like to fetch installed software information (default: False)
{% endstep %}

{% step %}

### Thread Count

This adapter works in a multithreaded manner. By increasing this value you'll be able to work faster but it will consume more resources.\
Default: 32, Max: 32, Min: 1
{% endstep %}

{% step %}

### Sleep Time

Amount of time that will be waited between thread creation. The value here represents seconds and increasing it will also increase the discovery time a little bit. (Default: 0)
{% endstep %}

{% step %}

### Timeout

Define the maximum duration, in seconds, before the connection is automatically closed if there is no response. This field is optional and defaults to 60 seconds. Adjust this value if your network or server configuration requires a longer timeout period.
{% endstep %}

{% step %}

### Https Proxy

Https Proxy url. (optional)
{% endstep %}
{% endstepper %}

{% hint style="warning" %}
⚠️ Attention\
Please perform a connection test to ensure there is a valid connection to the host.\
When the discovery operation is finalized, you will be able to see the details on the Assets page.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.octoxlabs.com/adapters/adapters/manageengine-dc-cloud.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
